Subject: Re: [art] Request for well-known URI: matrix

From: Mark Nottingham <[email-masked]>
Date: Wed, 10 Apr 2019 10:07:12 +1000

Sounds good. 

There's a new field in the template that needs to be filled - "status" (added by RFC5785bis, currently approved and at the RFC Editor).

My inclination here is to make it "permanent". 5785bis requires consultation with the community for that (since AFAICT matrix.org is not recognised by the IETF as an Open Standards body, in the sense of RFC2026). I've copied [email-masked] here to see if anyone has an issue with that. 

If we don't hear pushback over the next few days, we'll get IANA to register it.

Cheers,

> On 9 Apr 2019, at 7:46 pm, J. Ryan Stinnett <[email-masked]> wrote:
> 
> 
>> On 8 Apr 2019, at 01:55, Mark Nottingham <[email-masked]> wrote:
>> 
>> This request looks good, but I wonder if you could provide a more stable URI for the specification document? If not, you'll need to make a request to update the entry each time it changes.
> 
> Thanks for the initial review and feedback. I agree a stable URI does sound simpler. Let's go with the following then:
> 
> URI suffix: matrix
> Change controller:
>  The Matrix.org Foundation C.I.C.
>  https://matrix.org
> Specification document(s):
>  Matrix Client-Server API
>  https://matrix.org/docs/spec/client_server/latest.html#well-known-uri
>  Matrix Server-Server API
>  https://matrix.org/docs/spec/server_server/latest.html#get-well-known-matrix-server
> 
> The "latest.html" path points to the latest versioned release of each spec document, so that seems like a better fit for the .well-known registry.
> 
> Thanks,
> J. Ryan Stinnett

--
Mark Nottingham   https://www.mnot.net/